This solved the problem entirely:

yum install ncurses-libs.i686 libstdc++.i686 libgcc.i686